[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.ShiftBands

Shifts the positions for a range of bands by the specified amount.

## Declaration

Source position: extctrls.pp line 1648

`protected procedure TCustomControlBar.ShiftBands(`
`AFrom: Integer;`
`ATo: Integer;`
`AShift: Integer;`
`ALimit: Integer`
`);`

## Arguments

`AFrom` |  | Ordinal position for the first visible band moved in the method.
`ATo` |  | Ordinal position for the last visible band moved in the method.
`AShift` |  | Number of pixels that each band is moved in the method.
`ALimit` |  | Largest value allowed in the Left property for shifted bands.

## Description

ShiftBands is a method used to reposition a range of visible bands on the control by updating the values in the their Left properties.

AFrom and ATo contain the ordinal index positions for the bands updated in the method. Their values are used to access the pre-sorted visible bands on the control.

AShift indicates the number of pixels that each band is shifted. IsRightToLeft determines whether the band is moved relative to the left- or right-hand edge for each band instance. Right-to-Left layout causes the Left property to be decreased by the value in AShift. Otherwise, the Left property for each band is increased by the value in AShift.

ALimit sets the upper limit for any value in the Left property after it has been adjusted in the method.

## See also

TCtrlBand.Left |  | Contains the Left position for the band.
TControl.IsRightToLeft |  | True when BiDiMode is not bdLeftToRight.